---
table_name: boards_epic_board_positions
classes:
- Boards::EpicBoardPosition
feature_categories:
- portfolio_management
description: Relates epics to epic boards by position, unique to each combination
  of epic and board
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/48120
milestone: '13.7'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  group_id:
    references: namespaces
    backfill_via:
      parent:
        foreign_key: epic_board_id
        table: boards_epic_boards
        sharding_key: group_id
        belongs_to: epic_board
desired_sharding_key_migration_job_name: BackfillBoardsEpicBoardPositionsGroupId
table_size: small
